Package com.ads.api.beans.common

# Class AssignedResource

java.lang.Object
com.ads.api.beans.common.AssignedResource

public class AssignedResource extends Object
This class provides some beans control methods related to the Resources and Resources assigned Details along with the AuditHistory.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssignedResource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAssignedResponsibilites()`
  Returns the Responsibilities Assigned.
  `String`
  `getAssignedRole()`
  Returns the Role Assigned.
  `AuditHistory`
  `getAuditHistory()`
  Returns the AuditHistory Details such as CreatedBy, CreatedDateTime etc...
  `String`
  `getResourceId()`
  Returns the ResourceId.
  `String`
  `getRoleId()`
  Returns the RoleId.
  `AssignedResource`
  `setAssignedResponsibilites(String assignedResponsibilites)`
  Method to set the Responsibilities as specified.
  `AssignedResource`
  `setAssignedRole(String assignedRole)`
  Method to set the Role as specified.
  `AssignedResource`
  `setAuditHistory(AuditHistory auditHistory)`
  Method used to set the AuditHistory Details as specified.
  `AssignedResource`
  `setResourceId(String resourceId)`
  Method sets the ResourceId as specified.
  `AssignedResource`
  `setRoleId(String roleId)`
  Method to set the RoleId.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssignedResource

    public AssignedResource()

- ## Method Details

  - ### getResourceId

    public String getResourceId()
    Returns the ResourceId.
    Returns:
      resourceId String

  - ### setResourceId

    public AssignedResource setResourceId(String resourceId)
    Method sets the ResourceId as specified.
    Parameters:
      `resourceId` - String

  - ### getRoleId

    public String getRoleId()
    Returns the RoleId.
    Returns:
      roleId String

  - ### setRoleId

    public AssignedResource setRoleId(String roleId)
    Method to set the RoleId.
    Parameters:
      `roleId` - String

  - ### getAssignedRole

    public String getAssignedRole()
    Returns the Role Assigned.
    Returns:
      String

  - ### setAssignedRole

    public AssignedResource setAssignedRole(String assignedRole)
    Method to set the Role as specified.
    Parameters:
      `assignedRole` - String

  - ### getAssignedResponsibilites

    public String getAssignedResponsibilites()
    Returns the Responsibilities Assigned.
    Returns:
      assignedResponsibilites String

  - ### setAssignedResponsibilites

    public AssignedResource setAssignedResponsibilites(String assignedResponsibilites)
    Method to set the Responsibilities as specified.
    Parameters:
      `assignedResponsibilites` - String

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the AuditHistory Details such as CreatedBy, CreatedDateTime etc...
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public AssignedResource setAuditHistory(AuditHistory auditHistory)
    Method used to set the AuditHistory Details as specified.
    Parameters:
      `auditHistory` - AuditHistory